Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.exceptions
Class CacheSynchronizationException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.toplink.exceptions.TopLinkException
oracle.toplink.exceptions.CacheSynchronizationException`

All Implemented Interfaces:
  java.io.Serializable

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `RemoteCommandManagerException`

public class CacheSynchronizationException
extends TopLinkException

Purpose: This exception is used when an error occurs during cache synchronization distribution in synchronous mode.

See Also:
  Serialized Form

Field Summary
`UnitOfWorkChangeSet` | `changeSet` Deprecated.
`java.util.Vector` | `errors` Deprecated.

Constructor Summary
`CacheSynchronizationException(java.util.Vector errors, UnitOfWorkChangeSet changeSet)` Deprecated.

Method Summary
`oracle.toplink.internal.sessions.UnitOfWorkChangeSet` | `getChangeSet()` Deprecated. This is the change Set that was being merged
`java.util.Vector` | `getErrors()` Deprecated. The errors that occured

Methods inherited from class oracle.toplink.exceptions.TopLinkException
`getErrorCode, getInternalException, getMessage, getSession, printStackTrace, printStackTrace, printStackTrace, setShouldPrintInternalException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errors

    public java.util.Vector errors

  Deprecated.

### changeSet

    public transient UnitOfWorkChangeSet changeSet

  Deprecated.

Constructor Detail

### CacheSynchronizationException

    public CacheSynchronizationException(java.util.Vector errors,
                                         UnitOfWorkChangeSet changeSet)

  Deprecated.

Method Detail

### getChangeSet

    public oracle.toplink.internal.sessions.UnitOfWorkChangeSet getChangeSet()

  Deprecated.
  This is the change Set that was being merged

### getErrors

    public java.util.Vector getErrors()

  Deprecated.
  The errors that occured

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD